.app.actor.sheet.koboldworks {
	&.datasheet {
		display: flex;
		flex-direction: column;
		min-width: 440px;
		min-height: 300px;

		.flexcol,
		.flexrow {
			gap: 3px;
		}

		form {
			//overflow-y: scroll;
			display: flex;
			flex-direction: column;

			.content-header {
				margin-bottom: 0.3em;

				[name='name'] {
					flex: 1 8em;
					font-size: 16pt;
					background: none;
					width: 100%;

					padding: 0;
					margin: 0;

					border: none;
					border-bottom: 2px solid #9f928263;
				}

				img[data-edit='img'] {
					flex: 0 24px;
					height: 36px;
					width: 36px;
				}
			}

			content {
				display: block;
				height: 100%;
				overflow-y: scroll;

				ul.data-list {
					display: grid;
					grid-template-columns: 1em minmax(12em, 20em) minmax(12em, auto) 1em;
					grid-auto-rows: min-content;
					gap: 3px;

					h4 {
						margin: 0;
						line-height: 1.5;
						padding: 0 0.3em;
						align-self: center;

						&.title {
							background-color: #6458491a;
							font-weight: bold;
							//font-size: 1.2em;
						}

						&.name {
							&.unnamed {
								color: rgba(0, 0, 0, 0.6);
							}
						}
					}

					.entry-editor,
					.full-row {
						grid-column: span 4;
					}

					.actions {
						display: flex;
						justify-content: center;

						action {
							cursor: pointer;
						}
					}

					.entry-editor {
						display: grid;
						grid-template-columns: 1em auto 1em;
						//gap: 3px;
						overflow: hidden; // Remove pointless horizontal scrollbar
						align-items: center;
						margin-bottom: 0.3em;

						.actions,
						.padding {
							border-top: 2px solid #0003;
							height: 100%;
							display: flex;
							align-items: center;
						}

						.padding {
							padding-right: 3px;
						}
						.actions {
							padding-left: 3px;
						}

						.data {
							padding: 0.3em;
							border: 2px solid #0003;
							border-top: unset;
							border-bottom-left-radius: 7px;
							border-bottom-right-radius: 7px;

							.label {
								flex-basis: 100%;
							}

							.entry-id {
								font-size: var(--font-size-11);
							}

							label {
								flex: 0;
								align-items: center;
								display: flex;
								flex-flow: row nowrap;
								gap: 0.3em;

								&.entry-label {
									flex: 1 100%;
								}

								&.entry-type {
								}

								&.entry-signed {
									display: flex;
									flex: 0;
									white-space: nowrap;
								}
							}
						}

						input[type='number'] {
							width: 4em;
						}
					}

					[data-id] {
						&:nth-child(even) {
							background-color: red;
						}

						&:not(.editing) {
							.entry-editor {
								display: none;

								label,
								action,
								& div {
									display: inherit;
								}
							}
						}

						&.editing {
							background-color: lime;
						}
					}

					padding: 3px;
					margin: 0;
					list-style: none;

					li {
						display: contents;

						input {
							background-color: #782e220f;
							border: 1px solid #a7828280;

							&::placeholder {
								opacity: 0.6;
							}
						}
					}

					.header {
						background-color: #564f46c9;
						color: white;
						height: 100%;

						h4 {
							display: flex;
							place-items: center;

							background-color: inherit;
							color: inherit;

							padding: 0;
							margin: 0;
							font-weight: bold;
							padding: 0.15em 0.35em;
						}

						h4.no-bg {
							background-color: unset;
						}
					}

					label,
					action,
					.priority,
					.sort,
					.grip {
						padding: 0;
						margin: 0;
						justify-content: center;
						align-self: center;
					}

					action,
					.priority,
					.sort,
					.grip {
						text-align: center;
					}

					h4.name.title {
						grid-column: span 2;
					}

					action {
						&[data-action='delete'] {
							//pointer-events: none;
						}
					}
				}
			}
		}
	}
}
